import { withHooks } from "@saasquatch/stencil-hooks";
import { Component, h, Prop, State } from "@stencil/core";
export class ReferralTableCell {
  constructor() {
    this.ignored = true;
    withHooks(this);
  }
  disconnectedCallback() { }
  render() {
    return h("div", { innerHTML: this.innerTemplate });
  }
  static get is() { return "sqm-referral-table-cell"; }
  static get encapsulation() { return "shadow"; }
  static get properties() { return {
    "innerTemplate": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "inner-template",
      "reflect": false
    }
  }; }
  static get states() { return {
    "ignored": {}
  }; }
}
